ALTER TABLE TIME_TRANSCODING ADD CONSTRAINT FK_TIME_TRANSCODING_TRANS
    FOREIGN KEY (TR_ID) REFERENCES TRANSCODING (TR_ID)
    ON DELETE CASCADE
;
ALTER TABLE TIME_TRANSCODING ADD CONSTRAINT FK_TIME_TRANSCODING_YEAR
    FOREIGN KEY (YEAR_COL_ID) REFERENCES DATASET_COLUMN (COL_ID)
;
ALTER TABLE TIME_TRANSCODING ADD CONSTRAINT FK_TIME_TRANSCODING_PERIOD
    FOREIGN KEY (PERIOD_COL_ID) REFERENCES DATASET_COLUMN (COL_ID)
;
ALTER TABLE TIME_TRANSCODING ADD CONSTRAINT FK_TIME_TRANSCODING_DATE
    FOREIGN KEY (DATE_COL_ID) REFERENCES DATASET_COLUMN (COL_ID)
;
